<div class="overview">
  <div class="overview-head">
    <div class="overview-cell"></div>
    <div class="overview-cell">Title</div>
    <div class="overview-cell">Date</div>
    <div class="overview-cell">Views</div>
    <div class="overview-cell">Online</div>
    <div class="overview-cell"></div>
  </div>
  <div class="overview-row" *ngFor = "let article of articles">
    <div class="overview-cell" >
        <img [src]="article.imageUrl" alt="Image not available" class="overview-image">
    </div>
    <div class="overview-cell">
        <a routerLink="../{{article.key}}">{{article.title}}</a>
    </div>
    <div class="overview-cell">{{article.date | date}}</div>
    <div class="overview-cell center">{{article.viewCount}}</div>
    <div class="overview-cell center">
        <span class="dot publish-icon" 
        [ngClass] = "{online: article.published, offline: !article.published}"
        (click)= "togglePublishState(article)">
      </span>
    </div>
    <div class="overview-cell">
      <a routerLink="./{{article.key}}">Edit</a>
    </div>

  </div>
</div>
